Package tigase.server.filters

# Class PacketFiltersBean

java.lang.Object
tigase.server.filters.PacketFiltersBean

All Implemented Interfaces:
  `RegistrarBean`

Direct Known Subclasses:
  `PacketFiltersBean.IncomingPacketFiltersBean`, `PacketFiltersBean.OutgoingPacketFiltersBean`

public class PacketFiltersBean extends Object implements RegistrarBean

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PacketFiltersBean.IncomingPacketFiltersBean`
  `static class`
  `PacketFiltersBean.OutgoingPacketFiltersBean`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PacketFiltersBean(QueueType queueType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<PacketFilterIfc>`
  `getFilters()`
  `protected void`
  `initializeFilters()`
  `void`
  `register(Kernel kernel)`
  Method called when bean is being registered allowing developer to programatically register other beans.
  `void`
  `setFilters(List<PacketFilterIfc> filters)`
  `void`
  `setName(String name)`
  `void`
  `unregister(Kernel kernel)`
  Method called while bean is being unregistered.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PacketFiltersBean

    protected PacketFiltersBean(QueueType queueType)

- ## Method Details

  - ### setName

    public void setName(String name)

  - ### setFilters

    public void setFilters(List<PacketFilterIfc> filters)

  - ### getFilters

    public List<PacketFilterIfc> getFilters()

  - ### register

    public void register(Kernel kernel)
    Description copied from interface: `RegistrarBean`
    Method called when bean is being registered allowing developer to programatically register other beans.
    Specified by:
      `register` in interface `RegistrarBean`
    Parameters:
      `kernel` - - instance from local scope

  - ### unregister

    public void unregister(Kernel kernel)
    Description copied from interface: `RegistrarBean`
    Method called while bean is being unregistered.
    Specified by:
      `unregister` in interface `RegistrarBean`
    Parameters:
      `kernel` - - instance from local scope

  - ### initializeFilters

    protected void initializeFilters()